<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <title>JSDoc: Class: CustomSlider</title>

    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css" />
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css" />
  </head>

  <body>
    <div id="main">
      <h1 class="page-title">Class: CustomSlider</h1>

      <section>
        <header>
          <h2>
            <span class="attribs"><span class="type-signature"></span></span>CustomSlider
          </h2>

          <div class="class-description">A simple custom slider with different configuration options.</div>
        </header>

        <article>
          <div class="container-overview">
            <dl class="details">
              <dt class="tag-source">Source:</dt>
              <dd class="tag-source">
                <ul class="dummy">
                  <li>
                    <a href="customSlider_customSlider.js.html">customSlider/customSlider.js</a>,
                    <a href="customSlider_customSlider.js.html#line20">line 20</a>
                  </li>
                </ul>
              </dd>
            </dl>

            <h5>Example</h5>

            <pre class="prettyprint"><code>&lt;c-custom-slider
  slides-data={slides}
  custom-height="500px"
  custom-width="100%"
  auto-scroll
  hide-navigation-buttons
  hide-slide-text
  hide-slide-number
>&lt;/c-custom-slider></code></pre>
          </div>

          <h3 class="subsection-title">Extends</h3>

          <ul>
            <li>LightningElement</li>
          </ul>

          <h3 class="subsection-title">Members</h3>

          <h4 class="name" id="autoScroll">
            <span class="type-signature"></span>autoScroll<span class="type-signature"> :boolean</span>
          </h4>

          <div class="description">If present, automatic slide scrolling will be enabled.</div>

          <h5>Type:</h5>
          <ul>
            <li>
              <span class="param-type">boolean</span>
            </li>
          </ul>

          <dl class="details">
            <dt class="tag-default">Default Value:</dt>
            <dd class="tag-default">
              <ul class="dummy">
                <li>false</li>
              </ul>
            </dd>

            <dt class="tag-source">Source:</dt>
            <dd class="tag-source">
              <ul class="dummy">
                <li>
                  <a href="customSlider_customSlider.js.html">customSlider/customSlider.js</a>,
                  <a href="customSlider_customSlider.js.html#line26">line 26</a>
                </li>
              </ul>
            </dd>
          </dl>

          <h4 class="name" id="customHeight">
            <span class="type-signature"></span>customHeight<span class="type-signature"> :string</span>
          </h4>

          <div class="description">Set maximum height of the slider in percent or pixels.</div>

          <h5>Type:</h5>
          <ul>
            <li>
              <span class="param-type">string</span>
            </li>
          </ul>

          <dl class="details">
            <dt class="tag-default">Default Value:</dt>
            <dd class="tag-default">
              <ul class="dummy">
                <li>''</li>
              </ul>
            </dd>

            <dt class="tag-source">Source:</dt>
            <dd class="tag-source">
              <ul class="dummy">
                <li>
                  <a href="customSlider_customSlider.js.html">customSlider/customSlider.js</a>,
                  <a href="customSlider_customSlider.js.html#line33">line 33</a>
                </li>
              </ul>
            </dd>
          </dl>

          <h4 class="name" id="customWidth">
            <span class="type-signature"></span>customWidth<span class="type-signature"> :string</span>
          </h4>

          <div class="description">Set maximum width of the slider in percent or pixels.</div>

          <h5>Type:</h5>
          <ul>
            <li>
              <span class="param-type">string</span>
            </li>
          </ul>

          <dl class="details">
            <dt class="tag-default">Default Value:</dt>
            <dd class="tag-default">
              <ul class="dummy">
                <li>'600px'</li>
              </ul>
            </dd>

            <dt class="tag-source">Source:</dt>
            <dd class="tag-source">
              <ul class="dummy">
                <li>
                  <a href="customSlider_customSlider.js.html">customSlider/customSlider.js</a>,
                  <a href="customSlider_customSlider.js.html#line40">line 40</a>
                </li>
              </ul>
            </dd>
          </dl>

          <h4 class="name" id="hideNavigationButtons">
            <span class="type-signature"></span>hideNavigationButtons<span class="type-signature"> :boolean</span>
          </h4>

          <div class="description">If present, the "next" and "prev" navigation buttons will be hidden.</div>

          <h5>Type:</h5>
          <ul>
            <li>
              <span class="param-type">boolean</span>
            </li>
          </ul>

          <dl class="details">
            <dt class="tag-default">Default Value:</dt>
            <dd class="tag-default">
              <ul class="dummy">
                <li>false</li>
              </ul>
            </dd>

            <dt class="tag-source">Source:</dt>
            <dd class="tag-source">
              <ul class="dummy">
                <li>
                  <a href="customSlider_customSlider.js.html">customSlider/customSlider.js</a>,
                  <a href="customSlider_customSlider.js.html#line47">line 47</a>
                </li>
              </ul>
            </dd>
          </dl>

          <h4 class="name" id="hideNavigationDots">
            <span class="type-signature"></span>hideNavigationDots<span class="type-signature"> :boolean</span>
          </h4>

          <div class="description">If present, the navigation dots below the slider will be hidden.</div>

          <h5>Type:</h5>
          <ul>
            <li>
              <span class="param-type">boolean</span>
            </li>
          </ul>

          <dl class="details">
            <dt class="tag-default">Default Value:</dt>
            <dd class="tag-default">
              <ul class="dummy">
                <li>false</li>
              </ul>
            </dd>

            <dt class="tag-source">Source:</dt>
            <dd class="tag-source">
              <ul class="dummy">
                <li>
                  <a href="customSlider_customSlider.js.html">customSlider/customSlider.js</a>,
                  <a href="customSlider_customSlider.js.html#line54">line 54</a>
                </li>
              </ul>
            </dd>
          </dl>

          <h4 class="name" id="hideSlideNumber">
            <span class="type-signature"></span>hideSlideNumber<span class="type-signature"> :boolean</span>
          </h4>

          <div class="description">If present, the current slide number will be hidden.</div>

          <h5>Type:</h5>
          <ul>
            <li>
              <span class="param-type">boolean</span>
            </li>
          </ul>

          <dl class="details">
            <dt class="tag-default">Default Value:</dt>
            <dd class="tag-default">
              <ul class="dummy">
                <li>false</li>
              </ul>
            </dd>

            <dt class="tag-source">Source:</dt>
            <dd class="tag-source">
              <ul class="dummy">
                <li>
                  <a href="customSlider_customSlider.js.html">customSlider/customSlider.js</a>,
                  <a href="customSlider_customSlider.js.html#line61">line 61</a>
                </li>
              </ul>
            </dd>
          </dl>

          <h4 class="name" id="hideSlideText">
            <span class="type-signature"></span>hideSlideText<span class="type-signature"> :boolean</span>
          </h4>

          <div class="description">If present, the text overlay with heading and description will be hidden.</div>

          <h5>Type:</h5>
          <ul>
            <li>
              <span class="param-type">boolean</span>
            </li>
          </ul>

          <dl class="details">
            <dt class="tag-default">Default Value:</dt>
            <dd class="tag-default">
              <ul class="dummy">
                <li>false</li>
              </ul>
            </dd>

            <dt class="tag-source">Source:</dt>
            <dd class="tag-source">
              <ul class="dummy">
                <li>
                  <a href="customSlider_customSlider.js.html">customSlider/customSlider.js</a>,
                  <a href="customSlider_customSlider.js.html#line68">line 68</a>
                </li>
              </ul>
            </dd>
          </dl>

          <h4 class="name" id="scrollDuration">
            <span class="type-signature"></span>scrollDuration<span class="type-signature"> :number</span>
          </h4>

          <div class="description">
            Set the duration in milliseconds after which the next slide should be displayed.
          </div>

          <h5>Type:</h5>
          <ul>
            <li>
              <span class="param-type">number</span>
            </li>
          </ul>

          <dl class="details">
            <dt class="tag-default">Default Value:</dt>
            <dd class="tag-default">
              <ul class="dummy">
                <li>5000</li>
              </ul>
            </dd>

            <dt class="tag-source">Source:</dt>
            <dd class="tag-source">
              <ul class="dummy">
                <li>
                  <a href="customSlider_customSlider.js.html">customSlider/customSlider.js</a>,
                  <a href="customSlider_customSlider.js.html#line75">line 75</a>
                </li>
              </ul>
            </dd>
          </dl>
        </article>
      </section>
    </div>

    <nav>
      <h2><a href="index.html">Home</a></h2>
      <h3>Classes</h3>
      <ul>
        <li><a href="Base64ToPdf.html">Base64ToPdf</a></li>
        <li><a href="CsvToDatatable.html">CsvToDatatable</a></li>
        <li><a href="CustomDatatable.html">CustomDatatable</a></li>
        <li><a href="CustomMapView.html">CustomMapView</a></li>
        <li><a href="CustomSlider.html">CustomSlider</a></li>
        <li><a href="HelloWorld.html">HelloWorld</a></li>
        <li><a href="IFrame.html">IFrame</a></li>
        <li><a href="LocalDevelopmentWrapper.html">LocalDevelopmentWrapper</a></li>
        <li><a href="MultiSelectCombobox.html">MultiSelectCombobox</a></li>
        <li><a href="MultiSelectComboboxItem.html">MultiSelectComboboxItem</a></li>
        <li><a href="OpenRecordPageFlowAction.html">OpenRecordPageFlowAction</a></li>
      </ul>
      <h3>Global</h3>
      <ul>
        <li><a href="global.html#slidesData">slidesData</a></li>
      </ul>
    </nav>

    <br class="clear" />

    <footer>
      Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 4.0.0</a> on Thu Feb 16 2023 11:49:13
      GMT+0100 (Central European Standard Time)
    </footer>

    <script>
      prettyPrint();
    </script>
    <script src="scripts/linenumber.js"></script>
  </body>
</html>
